## part 1: new lib
vlib work
vmap work work

## part 2: load design
vlog -novopt -incr -work work "../../tb/prim_sim.v"
vlog -novopt -incr -work work "../../tb/tb_mod.v"
vlog -novopt -incr -work work "../../project/src/nlms_example_top.v"
vlog -novopt -incr -work work "../../project/src/deUstb.v"
vlog -novopt -incr -work work "../../project/src/nlms_adaptive_filter/nlms_adaptive_filter.vo"
vlog -novopt -incr -work work "../../project/src/gw_pll_100M.v"


## part 3: sim design
vsim -novopt work.tb

## part 4: add signals
add wave /tb/uut_nlms_onboard/clk
add wave /tb/uut_nlms_onboard/input_rdy
add wave /tb/uut_nlms_onboard/wr_en_data
add wave /tb/uut_nlms_onboard/din_data
add wave /tb/uut_nlms_onboard/din_desire
add wave /tb/uut_nlms_onboard/done
add wave /tb/uut_nlms_onboard/o_err
add wave /tb/uut_nlms_onboard/re_sto_en
add wave /tb/uut_nlms_onboard/re_sto_addr
add wave /tb/uut_nlms_onboard/out_err_gather

## part 5: show ui 
view wave
view structure
view signals

## part 6: run 
run 35ms

